#include<bits/stdc++.h>
using namespace std;
ifstream f1("bai2_17.inp");
ofstream f2("bai2_17.out");
int main ()
{
	int k,m,n,dem;
	k,m,n>0;
	f1>>k>>m>>n;
	for(int i=1;i<=n;i++)
	{
		if((i%k==0)||(i%m==0)) {dem++;}
	}
	f2<<dem;
	f1.close();
	f2.close();
}
	
